Package org.apache.activemq.artemis.journal

## Interface ActiveMQJournalBundle

- All Known Implementing Classes:
    `ActiveMQJournalBundle_$bundle`

      @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJournalBundle

  Logger Code 14 each message id must be 6 digits long starting with 14, the 3rd digit should be 9 so 149000 to 149999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJournalBundle` | `BUNDLE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `fileNotOpened()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `ioRenameFileError​(java.lang.String name, java.lang.String newFileName)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `journalDifferentVersion()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `journalFileMisMatch()` |
    `org.apache.activemq.artemis.api.core.ActiveMQIOErrorException` | `recordLargerThanStoreMax​(long recordSize, long maxRecordSize)` |
    `java.lang.String` | `unableToOpenFile()` |

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJournalBundle BUNDLE

  - ### Method Detail

    - #### ioRenameFileError

          @Message(id=149000,
                   value="failed to rename file {0} to {1}",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQIOErrorException ioRenameFileError​(java.lang.String name,
                                                                                          java.lang.String newFileName)

    - #### journalDifferentVersion

          @Message(id=149001,
                   value="Journal data belong to a different version")
          org.apache.activemq.artemis.api.core.ActiveMQIOErrorException journalDifferentVersion()

    - #### journalFileMisMatch

          @Message(id=149002,
                   value="Journal files version mismatch. You should export the data from the previous version and import it as explained on the user\'s manual")
          org.apache.activemq.artemis.api.core.ActiveMQIOErrorException journalFileMisMatch()

    - #### fileNotOpened

          @Message(id=149003,
                   value="File not opened")
          org.apache.activemq.artemis.api.core.ActiveMQIOErrorException fileNotOpened()

    - #### unableToOpenFile

          @Message(id=149004,
                   value="unable to open file")
          java.lang.String unableToOpenFile()

    - #### recordLargerThanStoreMax

          @Message(id=149005,
                   value="Message of {0} bytes is bigger than the max record size of {1} bytes. You should try to move large application properties to the message body.",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQIOErrorException recordLargerThanStoreMax​(long recordSize,
                                                                                                 long maxRecordSize)